<template>
	<view class="movie">
		<anil-seat
		ref="anilSeat"
		  title="皮皮鲁与鲁西西之罐头小人"
		  info="2021年01月22日 国语 奇幻 喜剧 儿童"
		  room-name="5号厅"
		  :seat-data="seatData" 
		  :max="4" 
		  @confirm="onConfirmSeat">
		</anil-seat>
	</view>
</template>

<script>
	import {
		seatData
	} from '@/utils/seat-data.js'
	export default {
		data() {
			return {
			}
		},
		methods: {
			onConfirmSeat (items) {
			  console.log(items)
			  uni.navigateTo({
			  	url:`/pay/pay1`,
			  })
			}
		},
		onLoad() {
			 // 座位图初始化 - seatData座位数据
			this.$refs['anilSeat'].initData(seatData)
		}
	}
</script>

<style lang="scss" scoped>
.movie{
	
}
</style>